@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

/* Data Table caption */
table.stat-data-table caption {
	padding-left: .33em;
}
.chart_dotstat .chart_dotstat_wraper{
  font-family: 'Roboto'!important;
}

/* Metadata link */
.spc-metadata-link::before {
  display:inline-block;
  content: "i";
  width: 16px;
  height: 16px;
  font-family: "Times New Roman", "Times", serif;
  font-size: 13px;
  font-style: italic;
  font-weight: bold;
  line-height: 16px;
  text-align: center;
  vertical-align: middle;
  background-color: #5093cc;
  color: #fff;
  border-radius: 50%;
  margin-right: 6px;
}

/* SDG colors */
.sdg-bg-color-01, .spc-chart-drilldown.sdg-color-01::before {
  background-color: #e5243b;
}
.sdg-bg-color-02, .spc-chart-drilldown.sdg-color-02::before {
  background-color: #dda63a;
}
.sdg-bg-color-03, .spc-chart-drilldown.sdg-color-03::before {
  background-color: #4c9f38;
}
.sdg-bg-color-04, .spc-chart-drilldown.sdg-color-04::before {
  background-color: #c5192d;
}
.sdg-bg-color-05, .spc-chart-drilldown.sdg-color-05::before {
  background-color: #ff3a21;
}
.sdg-bg-color-06, .spc-chart-drilldown.sdg-color-06::before {
  background-color: #26bde2;
}
.sdg-bg-color-07, .spc-chart-drilldown.sdg-color-07::before {
  background-color: #fcc30b;
}
.sdg-bg-color-08, .spc-chart-drilldown.sdg-color-08::before {
  background-color: #a21942;
}
.sdg-bg-color-09, .spc-chart-drilldown.sdg-color-09::before {
  background-color: #fd6925;
}
.sdg-bg-color-10, .spc-chart-drilldown.sdg-color-10::before {
  background-color: #dd1367;
}
.sdg-bg-color-11, .spc-chart-drilldown.sdg-color-11::before {
  background-color: #fd9d24;
}
.sdg-bg-color-12, .spc-chart-drilldown.sdg-color-12::before {
  background-color: #bf8b2e;
}
.sdg-bg-color-13, .spc-chart-drilldown.sdg-color-13::before {
  background-color: #3f7e44;
}
.sdg-bg-color-14, .spc-chart-drilldown.sdg-color-14::before {
  background-color: #0a97d9;
}
.sdg-bg-color-15, .spc-chart-drilldown.sdg-color-15::before {
  background-color: #56c02b;
}
.sdg-bg-color-16, .spc-chart-drilldown.sdg-color-16::before {
  background-color: #00689d;
}
.sdg-bg-color-17, .spc-chart-drilldown.sdg-color-17::before {
  background-color: #19486a;
}

/* Yes/No icons */
.dot-stat-yes {
  display: inline-block;
  transform: rotate(45deg);
  height: 16px;
  width: 8px;
  border-bottom: 4px solid #6c6;
  border-right: 4px solid #6c6;
  text-indent: -9999px;
	overflow: hidden;
}
.dot-stat-no {
	position: relative;
	display: inline-block;
  width: 16px;
  height: 16px;
  text-indent: -9999px;
  overflow: hidden;
}
.dot-stat-no:before, .dot-stat-no:after {
  position: absolute;
  left: 6px;
  content: ' ';
  height: 16px;
  width: 4px;
  background-color: #f66;
}
.dot-stat-no:before {
  transform: rotate(45deg);
}
.dot-stat-no:after {
  transform: rotate(-45deg);
}

/* Tooltip font fix */
.tooltip .tooltip-inner {
	font-size: 14px;
}

.dotstat_key-container .stat-group--container{
  display: flex; 
  flex-wrap: wrap;
  width: 100%;
  max-width: 300px;
  justify-content: flex-start;
  border-radius: 5px;

}
.dotstat_key-container .stat-group--icon{
  width: 35%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 5px 0 10px;
}
.dotstat_key-container .stat-group--icon .dashicons,
.dotstat_key-container .stat-group--icon .dashicons:hover {
  font-size: 76px;
  width: auto;
  height: auto;
}
.dotstat_key-container  .stat-group--body{
  width: 65%;
  padding: 20px 10px;
}

.dotstat_key-container  .stat-group--label{
  font-size: 18px;
  font-weight: 700;
}

.dotstat_key-container  .stat-group--value{  
  font-size: 24px;
  font-weight: 700;
  line-height: 1.5
}

.dotstat_key-container .stat-group--date{
  font-size: 16px;
  font-weight: 500;
}
.stat-vertical .dotstat_key-container .stat-group--icon,
.stat-vertical .dotstat_key-container .stat-group--body {
  width: 100%; 
  text-align: center;
  padding: 0;
}

.chart_dotstat_wraper{
  position: relative;
  min-height: 30px;
}

.range_multy_option{
  position: absolute;
  top: 0;
  left: 0;
}

.range_multy_option select{
  font-family: 'Roboto';
  font-size: 14px; 
}


/* Data table */
table {
  max-width: 100%;
  background-color: transparent;
}

th {
  text-align: left;
}

.table, .chart_dotstat table {
  width: 100%;
  margin-bottom: 20px;
  font-family: 'Roboto'!important;
  font-size: 14px!important;
}
.chart_dotstat table td, .chart_dotstat table th {
  word-break: normal;
}

.table .thead-dark th {
  color: #fff;
  background-color: #343a40;
  border-color: #454d55;
}
.table > thead > tr > th,.table > tbody > tr > th,.table > tfoot > tr > th,.table > thead > tr > td,.table > tbody > tr > td,.table > tfoot > tr > td {
  padding: 8px;
  line-height: 1.42857143;
  vertical-align: top;
  border-top: 1px solid #ddd;
}

.table > thead > tr > th {
  vertical-align: bottom;
  border-bottom: 2px solid #ddd;
}

.table > caption + thead > tr:first-child > th,.table > colgroup + thead > tr:first-child > th,.table > thead:first-child > tr:first-child > th,.table > caption + thead > tr:first-child > td,.table > colgroup + thead > tr:first-child > td,.table > thead:first-child > tr:first-child > td {
  border-top: 0;
}

.table > tbody + tbody {
  border-top: 2px solid #ddd;
}

.table .table {
  background-color: #fff;
}

.table-condensed > thead > tr > th,.table-condensed > tbody > tr > th,.table-condensed > tfoot > tr > th,.table-condensed > thead > tr > td,.table-condensed > tbody > tr > td,.table-condensed > tfoot > tr > td {
  padding: 5px;
}

.table-bordered {
  border: 1px solid #ddd;
}

.table-bordered > thead > tr > th,.table-bordered > tbody > tr > th,.table-bordered > tfoot > tr > th,.table-bordered > thead > tr > td,.table-bordered > tbody > tr > td,.table-bordered > tfoot > tr > td {
  border: 1px solid #ddd;
}

.table-bordered > thead > tr > th,.table-bordered > thead > tr > td {
  border-bottom-width: 2px;
}

.table-striped > tbody > tr:nth-child(odd) > td,.table-striped > tbody > tr:nth-child(odd) > th {
  background-color: #f9f9f9;
}

.table-hover > tbody > tr:hover > td,.table-hover > tbody > tr:hover > th {
  background-color: #f5f5f5;
}

table col[class*="col-"] {
  position: static;
  float: none;
  display: table-column;
}

table td[class*="col-"],table th[class*="col-"] {
  position: static;
  float: none;
  display: table-cell;
}

.table > thead > tr > td.active,.table > tbody > tr > td.active,.table > tfoot > tr > td.active,.table > thead > tr > th.active,.table > tbody > tr > th.active,.table > tfoot > tr > th.active,.table > thead > tr.active > td,.table > tbody > tr.active > td,.table > tfoot > tr.active > td,.table > thead > tr.active > th,.table > tbody > tr.active > th,.table > tfoot > tr.active > th {
  background-color: #f5f5f5;
}

.table-hover > tbody > tr > td.active:hover,.table-hover > tbody > tr > th.active:hover,.table-hover > tbody > tr.active:hover > td,.table-hover > tbody > tr.active:hover > th {
  background-color: #e8e8e8;
}

.table > thead > tr > td.success,.table > tbody > tr > td.success,.table > tfoot > tr > td.success,.table > thead > tr > th.success,.table > tbody > tr > th.success,.table > tfoot > tr > th.success,.table > thead > tr.success > td,.table > tbody > tr.success > td,.table > tfoot > tr.success > td,.table > thead > tr.success > th,.table > tbody > tr.success > th,.table > tfoot > tr.success > th {
  background-color: #dff0d8;
}

.table-hover > tbody > tr > td.success:hover,.table-hover > tbody > tr > th.success:hover,.table-hover > tbody > tr.success:hover > td,.table-hover > tbody > tr.success:hover > th {
  background-color: #d0e9c6;
}

.table > thead > tr > td.info,.table > tbody > tr > td.info,.table > tfoot > tr > td.info,.table > thead > tr > th.info,.table > tbody > tr > th.info,.table > tfoot > tr > th.info,.table > thead > tr.info > td,.table > tbody > tr.info > td,.table > tfoot > tr.info > td,.table > thead > tr.info > th,.table > tbody > tr.info > th,.table > tfoot > tr.info > th {
  background-color: #d9edf7;
}

.table-hover > tbody > tr > td.info:hover,.table-hover > tbody > tr > th.info:hover,.table-hover > tbody > tr.info:hover > td,.table-hover > tbody > tr.info:hover > th {
  background-color: #c4e3f3;
}

.table > thead > tr > td.warning,.table > tbody > tr > td.warning,.table > tfoot > tr > td.warning,.table > thead > tr > th.warning,.table > tbody > tr > th.warning,.table > tfoot > tr > th.warning,.table > thead > tr.warning > td,.table > tbody > tr.warning > td,.table > tfoot > tr.warning > td,.table > thead > tr.warning > th,.table > tbody > tr.warning > th,.table > tfoot > tr.warning > th {
  background-color: #fcf8e3;
}

.table-hover > tbody > tr > td.warning:hover,.table-hover > tbody > tr > th.warning:hover,.table-hover > tbody > tr.warning:hover > td,.table-hover > tbody > tr.warning:hover > th {
  background-color: #faf2cc;
}

.table > thead > tr > td.danger,.table > tbody > tr > td.danger,.table > tfoot > tr > td.danger,.table > thead > tr > th.danger,.table > tbody > tr > th.danger,.table > tfoot > tr > th.danger,.table > thead > tr.danger > td,.table > tbody > tr.danger > td,.table > tfoot > tr.danger > td,.table > thead > tr.danger > th,.table > tbody > tr.danger > th,.table > tfoot > tr.danger > th {
  background-color: #f2dede;
}

.table-hover > tbody > tr > td.danger:hover,.table-hover > tbody > tr > th.danger:hover,.table-hover > tbody > tr.danger:hover > td,.table-hover > tbody > tr.danger:hover > th {
  background-color: #ebcccc;
}


@media  screen and  (max-width: 767px) {
  .table-responsive {
      width:100%;
      margin-bottom: 15px;
      overflow-y: hidden;
      overflow-x: scroll;
      -ms-overflow-style: -ms-autohiding-scrollbar;
      border: 1px solid #ddd;
      -webkit-overflow-scrolling: touch;
  }

  .table-responsive > .table {
      margin-bottom: 0;
  }

  .table-responsive > .table > thead > tr > th,.table-responsive > .table > tbody > tr > th,.table-responsive > .table > tfoot > tr > th,.table-responsive > .table > thead > tr > td,.table-responsive > .table > tbody > tr > td,.table-responsive > .table > tfoot > tr > td {
      white-space: nowrap;
  }

  .table-responsive > .table-bordered {
      border: 0;
  }

  .table-responsive > .table-bordered > thead > tr > th:first-child,.table-responsive > .table-bordered > tbody > tr > th:first-child,.table-responsive > .table-bordered > tfoot > tr > th:first-child,.table-responsive > .table-bordered > thead > tr > td:first-child,.table-responsive > .table-bordered > tbody > tr > td:first-child,.table-responsive > .table-bordered > tfoot > tr > td:first-child {
      border-left: 0;
  }

  .table-responsive > .table-bordered > thead > tr > th:last-child,.table-responsive > .table-bordered > tbody > tr > th:last-child,.table-responsive > .table-bordered > tfoot > tr > th:last-child,.table-responsive > .table-bordered > thead > tr > td:last-child,.table-responsive > .table-bordered > tbody > tr > td:last-child,.table-responsive > .table-bordered > tfoot > tr > td:last-child {
      border-right: 0;
  }

  .table-responsive > .table-bordered > tbody > tr:last-child > th,.table-responsive > .table-bordered > tfoot > tr:last-child > th,.table-responsive > .table-bordered > tbody > tr:last-child > td,.table-responsive > .table-bordered > tfoot > tr:last-child > td {
      border-bottom: 0;
  }
}

/* Racing Pyramid */
.highcharts-population-pyramid-race {
  position: relative;
}
.spc-play-controls {
  width: 100%;
  height: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.spc-play-controls .spc-play-button-div {
  flex: 0 0 24px;
}
.spc-play-controls .spc-play-range-div {
  flex: 1 0 auto;
}
.spc-play-controls .spc-play-name-div {
  flex: 0 0 80px;
  text-align: right;
}
.spc-play-controls .spc-play-pause-button {
  box-sizing: border-box;
  height: 16px;
  border-color: transparent transparent transparent #5178ae;
  transition: 100ms all ease;
  will-change: border-width;
  cursor: pointer;
  border-style: solid;
  border-width: 8px 0 8px 12px;
  background-color: transparent;
  padding: 0;
  margin: 4px 10px 0;
  float: left;
  outline: none !important;
}
.spc-play-controls .spc-play-pause-button.pause {
  border-color: transparent transparent transparent #777;
  border-style: double;
  border-width: 0px 0 0px 12px;
}
.spc-play-controls input[type="range"] {
  background: unset;
  border-radius: unset;
  box-sizing: border-box;
  padding: unset;
  border: unset;
  width: 100%;
  transform: translateY(3px);
  appearance: slider-horizontal;
  backface-visibility: hidden;
}
.spc-play-controls .spc-play-name {
  font-size: 24px;
}

.text-align-center {
  text-align: center;
}
.text-align-right {
  text-align: right;
}

.highcharts-drilldown-data-label text{
  text-decoration: none!important;
}

.chart_dotstat .chart_dotstat_wraper .highcharts-menu hr{
  margin: 0;
  height: 1px;
}

.chart_dotstat .modal-dialog{
  font-family: 'Roboto';
}

.chart_dotstat  .modal-dialog button:hover, .chart_dotstat  .modal-dialog button:focus{
  background-color: transparent ;
}

.chart_dotstat .modal-dialog table {
  border-collapse: collapse;
  border-spacing: 0;
  background: white;
  margin: 0 auto;
  font-family: sans-serif;
  font-size: 0.9em;
}

.chart_dotstat .highcharts-container .modal-dialog table {
  margin: 1rem auto;
}

.chart_dotstat .modal-dialog td, .chart_dotstat  .modal-dialog th, .chart_dotstat  .modal-dialog caption {
  border: 1px solid silver;
  padding: 0.25em 0.5em;
  min-width: 100px;
}

.chart_dotstat .modal-dialog tr:nth-child(even), .chart_dotstat  .modal-dialog thead tr {
  background: #f8f8f8;
}

.chart_dotstat .modal-dialog tr:hover {
  background: #eff;
}

.chart_dotstat .modal-dialog caption {
  caption-side: top;
  border: 0 none;
  font-size: 1.1em;
  font-style: italic;
  white-space: nowrap;
}

.chart_dotstat .modal-header{
  padding: 10px;
}
.chart_dotstat .modal-header .modal-title{
  font-size: 14px;
  font-family: 'Roboto';
}

.chart_dotstat .modal-header .close{
  margin: 0;
  padding: 0;
  font-size: 1.1rem;
}
.chart_dotstat .modal-header{
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.chart_dotstat .modal-body{
  padding-top: 0px;
}

.chart_dotstat_wraper .highcharts-title{
  padding: 0 30px;
  font-size: 18px;
  font-family: 'Roboto';
}

@media  screen and  (max-width: 767px) {
  .chart_dotstat_wraper .highcharts-title{
    font-size: 15px!important;
  }
}